%define base_name	xml-light
%define name		ocaml-%{base_name}
%define version		2.2
%define release		%mkrel 7
%define ocaml_sitelib %(if [ -x /usr/bin/ocamlc ]; then ocamlc -where;fi)/site-lib

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Xml-Light is a minimal XML parser & printer for OCaml
URL:		http://tech.motion-twin.com/xmllight.html
Source: 	http://tech.motion-twin.com/zip/%{base_name}.tar.bz2
Patch:      %{name}-2.2-fix-build.patch
License:	LGPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Xml-Light is a minimal XML parser & printer for OCaml. 
It provide functions to parse an XML document into an OCaml data structure, 
work with it, and print it back to an XML document. 
It support also DTD parsing and checking, and is entirely written in OCaml, 
hence it does not require additional C library.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other

%description devel
This package contains the development files needed to build applications
using%{name}.

%prep
%setup -q -n %{base_name}
%patch -p 1
chmod 644 README *.mli
perl -pi -e 's/\015$//' README

%build
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{ocaml_sitelib}/xml-light
make install INSTALLDIR=%{buildroot}%{ocaml_sitelib}/xml-light

%clean
rm -rf %{buildroot}

%files devel
%defattr(-,root,root)
%doc README
%{ocaml_sitelib}/xml-light


%changelog
* Wed Feb 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-7mdv2007.0
+ Revision: 121014
- oops, forgotten patch
- use new ocaml macro
- fix build
  install under site-lib/xml-light
- Import ocaml-xml-light



* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-6mdv2007.0
- Rebuild

* Wed Apr 26 2006 Pixel <pixel@mandriva.com> 2.2-5mdk
- rebuild for new ocaml

* Mon Jan 23 2006 Pixel <pixel@mandriva.com> 2.2-4mdk
- rebuild for new ocaml

* Mon Nov 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-3mdk
- %%mkrel 

* Sat Jun 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-2mdk 
- rebuild for later ocaml
- drop macros merged into rpm

* Thu Apr 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-1mdk 
- contributed by Julien Narboux (Julien.Narboux@inria.fr)
